Bug 9021 - host doesn't default as advertised
Summary: host doesn't default as advertised
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: bind (Show other bugs)
(Show other bugs)
Version: 6.0
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Bernhard Rosenkraenzer
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-01-31 18:37 UTC by Richard Troxel
Modified: 2008-05-01 15:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-02-03 16:08:32 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Richard Troxel 2000-01-31 18:37:06 UTC
host(1) claims, under the -t option,

Note that the default is to look first for ``a'', and then ``mx'', except
that if the verbose option is turned on, the default is only ``a''.

This is the correct behavior, IMHO.  However, the default behavior does
not, in fact, report MX records:

huff% rpm -qf /usr/bin/host
bind-utils-8.2.2_P3-1
huff% /usr/bin/host www.semiotek.org
www.semiotek.org has address 208.133.44.40
huff% /usr/bin/host -t mx www.semiotek.org
www.semiotek.org mail is handled (pri=100) by bounty.bcca.org

Similar behavior is observed on a 5.1 RedHat box with
bind-utils-8.2.2_P3-0.5.2.  Both are Intel platforms, in case that matters.

Please bring back the advertised behavior, viz. (except this lacks the
Linux priority field in MX reports)

irix% host www.semiotek.org
www.semiotek.org has address 208.133.44.40
www.semiotek.org mail is handled by bounty.bcca.org

Comment 1 Bernhard Rosenkraenzer 2000-02-03 16:08:59 UTC
Thanks, fixed.
The bug was introduced in the the 8.8.2p3 base package.


Note You need to log in before you can comment on or make changes to this bug.